Skip to main content
GET
/
valorant
/
v1
/
premier
/
search
cURL
curl --request GET \
  --url https://api.henrikdev.xyz/valorant/v1/premier/search
import requests

url = "https://api.henrikdev.xyz/valorant/v1/premier/search"

response = requests.get(url)

print(response.text)
const options = {method: 'GET'};

fetch('https://api.henrikdev.xyz/valorant/v1/premier/search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "data": [
    {
      "affinity": "<string>",
      "conference": "<string>",
      "customization": {
        "icon": "<string>",
        "image": "<string>",
        "primary": "<string>",
        "secondary": "<string>",
        "tertiary": "<string>"
      },
      "division": 123,
      "id": "<string>",
      "losses": 123,
      "name": "<string>",
      "ranking": 123,
      "region": "<string>",
      "score": 123,
      "tag": "<string>",
      "updated_at": "<string>",
      "wins": 123
    }
  ],
  "status": 1
}
{
"errors": [
{
"code": 1,
"message": "<string>",
"status": 1,
"details": "<unknown>"
}
]
}
{
"errors": [
{
"code": 1,
"message": "<string>",
"status": 1,
"details": "<unknown>"
}
]
}
{
"errors": [
{
"code": 1,
"message": "<string>",
"status": 1,
"details": "<unknown>"
}
]
}

Query Parameters

name
string

Team name to search for (optional)

tag
string

Team tag to search for (optional)

id
string

Team UUID to search for (optional)

season
string

Premier season id (optional)

Response

Premier team search results retrieved successfully

data
object[]
required
status
integer<int32>
required
Required range: x >= 0